persistent-1.1.5.1: Type-safe, multi-backend data serialization.

Safe Haskell | None

Database.Persist.Quasi

Synopsis

- parse :: PersistSettings -> Text -> [EntityDef]
- data PersistSettings = PersistSettings {
  - psToDBName :: Text -> Text
  }
- upperCaseSettings :: PersistSettings
- lowerCaseSettings :: PersistSettings

# Documentation

parse :: PersistSettings -> Text -> [EntityDef]

Parses a quasi-quoted syntax into a list of entity definitions.

data PersistSettings

Constructors

PersistSettings |

Fields

psToDBName :: Text -> Text

upperCaseSettings :: PersistSettings

lowerCaseSettings :: PersistSettings